%define upstream_name    XML-XQL
%define upstream_version 0.68

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 12

Summary:	XML::XQL - query XML tree structures with XQL
License:	GPL+ or Artistic
Group:		Development/Perl
URL:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/authors/id/T/TJ/TJMATHER/%{upstream_name}-%{upstream_version}.tar.bz2

BuildRequires:	perl(XML::DOM) >= 1.29
BuildRequires:	perl(Date::Manip) >= 5.33
BuildRequires:	perl(Parse::Yapp)
BuildRequires:	perl(XML::Parser) >= 2.30
BuildArch:	noarch

Provides:	perl-libxml-enno
Obsoletes:	perl-libxml-enno

%description
This is a Perl extension that allows you to perform XQL queries on XML
object trees. Currently only the XML::DOM module is supported, but
other implementations, like XML::Grove, may soon follow.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build
make test

%install
%make_install

%files
%doc Changes README
%attr(755,root,root) %{_bindir}/*
%dir %{perl_vendorlib}/XML/XQL
%{perl_vendorlib}/XML/XQL.pm
%{perl_vendorlib}/XML/XQL/*.pm
%{perl_vendorlib}/XML/XQL/*.pod
%{_mandir}/*/*

%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.680.0-12.mga10
+ Revision: 2201581
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.680.0-11.mga9
+ Revision: 1806773
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.680.0-10.mga8
+ Revision: 1498566
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.680.0-9.mga7
+ Revision: 1272814
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.680.0-8.mga6
+ Revision: 1036173
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 0.680.0-7.mga6
+ Revision: 937626
- Mageia 6 Mass Rebuild

* Fri Feb 05 2016 umeabot <umeabot> 0.680.0-6.mga6
+ Revision: 937173
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.680.0-5.mga5
+ Revision: 741449
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.680.0-4.mga5
+ Revision: 686978
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.680.0-3.mga4
+ Revision: 516306
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.680.0-2.mga3
+ Revision: 375235
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 23 2011 jquelin <jquelin> 0.680.0-1.mga1
+ Revision: 34488
- mageia rebuild
- imported package perl-XML-XQL


* Tue Jul 28 2009 Jérôme Quelin <jquelin@mandriva.org> 0.680.0-1mdv2010.1
+ Revision: 401812
- rebuild using %%perl_convert_version
- fixed license field

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 0.68-6mdv2009.1
+ Revision: 351654
- rebuild

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 0.68-5mdv2009.0
+ Revision: 224677
- rebuild

* Thu Mar 06 2008 Oden Eriksson <oeriksson@mandriva.com> 0.68-4mdv2008.1
+ Revision: 180664
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Mon Nov 20 2006 Oden Eriksson <oeriksson@mandriva.com> 0.68-3mdv2007.0
+ Revision: 85630
- Import perl-XML-XQL

* Mon Nov 20 2006 Oden Eriksson <oeriksson@mandriva.com> 0.68-3
- use the %%mkrel macro

* Wed Jul 20 2005 Oden Eriksson <oeriksson@mandriva.com> 0.68-2mdk
- fix deps

* Sat Jul 16 2005 Oden Eriksson <oeriksson@mandriva.com> 0.68-1mdk
- initial Mandriva package

